[**@rxap/window-system v19.0.3-dev.0**](../README.md)

***

[@rxap/window-system](../globals.md) / WindowContainerComponent

# Class: WindowContainerComponent

Defined in: [packages/angular/window-system/src/lib/window-container/window-container.component.ts:61](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-container/window-container.component.ts#L61)

## Implements

- `OnInit`

## Constructors

### new WindowContainerComponent()

> **new WindowContainerComponent**(): [`WindowContainerComponent`](WindowContainerComponent.md)

#### Returns

[`WindowContainerComponent`](WindowContainerComponent.md)

## Properties

### containerRef

> **containerRef**: `ElementRef`

Defined in: [packages/angular/window-system/src/lib/window-container/window-container.component.ts:65](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-container/window-container.component.ts#L65)

***

### context

> `readonly` **context**: [`WindowContext`](../interfaces/WindowContext.md)\<`any`\>

Defined in: [packages/angular/window-system/src/lib/window-container/window-container.component.ts:72](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-container/window-container.component.ts#L72)

***

### footerContent

> **footerContent**: `ElementRef`

Defined in: [packages/angular/window-system/src/lib/window-container/window-container.component.ts:63](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-container/window-container.component.ts#L63)

***

### height

> **height**: `Signal`\<`string`\>

Defined in: [packages/angular/window-system/src/lib/window-container/window-container.component.ts:69](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-container/window-container.component.ts#L69)

***

### width

> **width**: `Signal`\<`string`\>

Defined in: [packages/angular/window-system/src/lib/window-container/window-container.component.ts:68](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-container/window-container.component.ts#L68)

***

### windowContainerResizer

> **windowContainerResizer**: [`WindowResizerComponent`](WindowResizerComponent.md)

Defined in: [packages/angular/window-system/src/lib/window-container/window-container.component.ts:66](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-container/window-container.component.ts#L66)

***

### windowInstance

> `readonly` **windowInstance**: `LoadingIndicatorService`

Defined in: [packages/angular/window-system/src/lib/window-container/window-container.component.ts:74](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-container/window-container.component.ts#L74)

***

### windowRef

> `readonly` **windowRef**: [`WindowRef`](WindowRef.md)\<`any`, `any`\>

Defined in: [packages/angular/window-system/src/lib/window-container/window-container.component.ts:73](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-container/window-container.component.ts#L73)

## Accessors

### id

#### Get Signature

> **get** **id**(): `string`

Defined in: [packages/angular/window-system/src/lib/window-container/window-container.component.ts:77](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-container/window-container.component.ts#L77)

##### Returns

`string`

## Methods

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-container/window-container.component.ts:81](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-container/window-container.component.ts#L81)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`

***

### onDragEnded()

> **onDragEnded**(`$event`): `void`

Defined in: [packages/angular/window-system/src/lib/window-container/window-container.component.ts:101](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-container/window-container.component.ts#L101)

#### Parameters

##### $event

`CdkDragEnd`

#### Returns

`void`
